Change log for libnetaddr-ip-perl package in Ubuntu

141 of 41 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2018-11-08
Deleted in disco-proposed (Reason: moved to release)
libnetaddr-ip-perl (4.079+dfsg-1build3) disco; urgency=medium

  * No-change rebuild for the perl 5.28 transition.

 -- Adam Conrad <email address hidden>  Fri, 02 Nov 2018 19:47:01 -0600
Superseded in disco-release on 2018-11-08
Published in cosmic-release on 2018-05-01
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-08-10
Deleted in artful-proposed (Reason: moved to release)
libnetaddr-ip-perl (4.079+dfsg-1build2) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <email address hidden>  Wed, 26 Jul 2017 20:28:35 +0000
Superseded in artful-release on 2017-08-10
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
libnetaddr-ip-perl (4.079+dfsg-1build1) zesty; urgency=medium

  * No-change rebuild for perl 5.24 transition

 -- Iain Lane <email address hidden>  Mon, 24 Oct 2016 17:08:59 +0100
Superseded in zesty-release on 2016-11-01
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
libnetaddr-ip-perl (4.079+dfsg-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * New upstream release.
  * Update years of packaging copyright.
  * Set bindnow linker flag in debian/rules.
  * Add a patch to fix some spelling mistakes in the POD.
  * Declare compliance with Debian Policy 3.9.8.

 -- gregor herrmann <email address hidden>  Sun, 08 May 2016 18:16:48 +0200
Superseded in yakkety-release on 2016-05-09
Published in xenial-release on 2016-01-06
Deleted in xenial-proposed (Reason: moved to release)
libnetaddr-ip-perl (4.078+dfsg-1build1) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <email address hidden>  Fri, 18 Dec 2015 18:03:18 +0000
Superseded in xenial-release on 2016-01-06
Deleted in xenial-proposed on 2016-01-08 (Reason: moved to release)
libnetaddr-ip-perl (4.078+dfsg-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ Xavier Guimard ]
  * New upstream release
  * Bump Standards-Version to 3.9.6
  * Update debian/copyright: add configure.*cc section

  [ gregor herrmann ]
  * Mark package as autopkgtest-able.

 -- Xavier Guimard <email address hidden>  Mon, 19 Oct 2015 08:32:05 +0200
Superseded in xenial-release on 2015-10-25
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2018-01-22 (Reason: moved to release)
libnetaddr-ip-perl (4.075+dfsg-1build1) utopic; urgency=medium

  * Rebuild for Perl 5.20.0.
 -- Colin Watson <email address hidden>   Thu, 21 Aug 2014 13:05:21 +0100
Superseded in utopic-release on 2014-08-27
Deleted in utopic-proposed on 2014-08-28 (Reason: moved to release)
libnetaddr-ip-perl (4.075+dfsg-1) unstable; urgency=medium


  * New upstream release.
  * Update years of packaging copyright.

 -- gregor herrmann <email address hidden>  Thu, 12 Jun 2014 18:13:38 +0200

Available diffs

Superseded in utopic-release on 2014-06-13
Deleted in utopic-proposed on 2014-06-14 (Reason: moved to release)
libnetaddr-ip-perl (4.073+dfsg-1) unstable; urgency=medium


  [ gregor herrmann ]
  * debian/control: remove Nicholas Bamber from Uploaders on request of 
    the MIA team.
  * Strip trailing slash from metacpan URLs.

  [ Axel Beckert ]
  * Remove Maximilian Gaß from Uploaders (no more active according
    to himself)
  * Remove trailing blank line

  [ Daniel Lintott ]
  * Imported Upstream version 4.073+dfsg
  * Refresh lite_makefile.patch
  * Add myself to uploaders
  * Update upstream copyright years

 -- Daniel Lintott <email address hidden>  Mon, 07 Apr 2014 16:34:16 +0100

Available diffs

Superseded in utopic-release on 2014-04-26
Published in trusty-release on 2013-12-19
Deleted in trusty-proposed (Reason: moved to release)
libnetaddr-ip-perl (4.071+dfsg-1) unstable; urgency=low


  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Xavier Guimard ]
  * Imported Upstream version 4.066
  * Bump Standards-Version to 3.9.4
  * Update debian/copyright:
    + encoding to UTF-8
    + add myself and Salvatore

  [ gregor herrmann ]
  * New upstream release 4.071.
  * Update debian/repack.stub.
  * Add copyright/license for debian/repack.stub.
  * Update years of upstream and packaging copyright.
  * Install new About-NetAddr-IP.txt document.
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <email address hidden>  Tue, 10 Dec 2013 19:48:37 +0100
Superseded in trusty-release on 2013-12-19
Deleted in trusty-proposed on 2013-12-21 (Reason: moved to release)
libnetaddr-ip-perl (4.062+dfsg-1build1) trusty; urgency=low

  * Build for perl 5.18.
 -- Matthias Klose <email address hidden>   Mon, 21 Oct 2013 23:49:19 +0200
Superseded in trusty-release on 2013-10-24
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
libnetaddr-ip-perl (4.062+dfsg-1) unstable; urgency=low


  * New upstream release.

 -- gregor herrmann <email address hidden>  Fri, 08 Jun 2012 23:26:56 +0200

Available diffs

Superseded in quantal-release on 2012-06-09
libnetaddr-ip-perl (4.061+dfsg-1) unstable; urgency=low


  * New upstream release.

 -- gregor herrmann <email address hidden>  Sat, 26 May 2012 20:39:34 +0200

Available diffs

Superseded in quantal-release on 2012-05-27
libnetaddr-ip-perl (4.059+dfsg-1) unstable; urgency=low


  * New upstream release.
  * Remove spelling.patch, applied upstream.
  * Update years of packaging copyright.
  * debian/copyright: update to Copyright-Format 1.0.
  * Bump Standards-Version to 3.9.3 (no changes).
  * Use debhelper 9.20120312 for getting all hardening flags.

 -- gregor herrmann <email address hidden>  Sun, 18 Mar 2012 17:21:38 +0100

Available diffs

Superseded in quantal-release on 2012-05-01
Published in precise-release on 2012-01-08
libnetaddr-ip-perl (4.058+dfsg-2) unstable; urgency=low


  * Remove Julian Mehnle from Uploaders as per request of the MIA team.

 -- gregor herrmann <email address hidden>  Tue, 27 Dec 2011 18:32:01 +0100
Superseded in precise-release on 2012-01-08
libnetaddr-ip-perl (4.058+dfsg-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Refresh spelling.patch patch.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  12 Dec 2011 11:59:38 +0000
Superseded in precise-release on 2011-11-16
libnetaddr-ip-perl (4.049+dfsg-1build1) precise; urgency=low

  * Rebuild for Perl 5.14.
 -- Colin Watson <email address hidden>   Wed, 16 Nov 2011 00:56:42 +0000

Available diffs

Superseded in precise-release on 2011-12-12
libnetaddr-ip-perl (4.056+dfsg-1) unstable; urgency=low


  * Team upload.
  * New upstream release. (Closes: #601601)
  * Update copyright file to DEP5 rev 174.
    + Add /me to Copyright.
    + Update copyright holders/years.

 -- Julián Moreno Patiño <email address hidden>  Mon, 07 Nov 2011 02:36:07 -0500
Superseded in precise-release on 2011-11-16
libnetaddr-ip-perl (4.049+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: update upstream copyright years and licenses.
  * Refresh lite_makefile.patch.
  * Add libsocket6-perl to Build-Depends and Recommends.
  * Add a patch to fix a spelling mistake.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  31 Oct 2011 09:54:15 +0000

Available diffs

Superseded in precise-release on 2011-10-31
libnetaddr-ip-perl (4.048+dfsg-1) unstable; urgency=low

  * Team upload.
  * Imported Upstream version 4.048+dfsg

Available diffs

Superseded in precise-release on 2011-10-19
Obsolete in oneiric-release on 2015-04-24
libnetaddr-ip-perl (4.044+dfsg-1) unstable; urgency=low

  * New upstream release
  * Raised standards version to 3.9.2
 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  20 May 2011 08:10:09 +0000
Superseded in oneiric-release on 2011-05-20
libnetaddr-ip-perl (4.042+dfsg-1build1) oneiric; urgency=low

  * Rebuild for Perl 5.12.
 -- Colin Watson <email address hidden>   Sat, 07 May 2011 02:09:11 +0100

Available diffs

Superseded in oneiric-release on 2011-05-07
libnetaddr-ip-perl (4.042+dfsg-1) unstable; urgency=low

  * New upstream release

Available diffs

Superseded in oneiric-release on 2011-04-30
Obsolete in natty-release on 2013-06-04
libnetaddr-ip-perl (4.038+dfsg-1) unstable; urgency=low

  * New upstream release
 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  24 Dec 2010 16:25:14 +0000

Available diffs

Superseded in natty-release on 2010-12-24
libnetaddr-ip-perl (4.037+dfsg-1) unstable; urgency=low

  * New upstream release
  * Removed spelling, autosplit and spamassasin patches as they are applied 
    upstream
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  22 Nov 2010 10:15:58 +0000

Available diffs

Superseded in natty-release on 2010-11-22
libnetaddr-ip-perl (4.035+dfsg-4) unstable; urgency=low

  * Uploading to unstable because:
    - Positive feedack for IPv6 issue patches (cf. #601601)
    - No negative feedback for autosplit/our patch (cf. #517361)

Available diffs

Superseded in natty-release on 2010-11-17
libnetaddr-ip-perl (4.035+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #508775)
  * Tests show that this Closes: #601601.
  * Refreshed and removed patches where fixed upstream, cf. #565563
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  01 Nov 2010 10:29:32 +0000

Available diffs

Superseded in natty-release on 2010-11-01
libnetaddr-ip-perl (4.034+dfsg-1) unstable; urgency=low

  * New upstream release
 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  27 Oct 2010 13:20:36 +0000

Available diffs

Superseded in natty-release on 2010-10-27
libnetaddr-ip-perl (4.033+dfsg-1) unstable; urgency=low

  [ gregor herrmann ]
  * Set Standards-Version to 3.9.1.

  [ Nicholas Bamber ]
  * New upstream release
  * Added myself to Uploaders
  * Refreshed copyright
  * Reviewed and forwarded spelling patch
  * Remove Conflicts clause - cannot find libnetaddr-ip-lite-perl
  * Added patch for missing IPv6 string (Closes: #565563)
  * Added patch to stop overwriting Lite/README

  [ gregor herrmann ]
  * Remove README.Debian, which contained hints for pre-lenny versions.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Sun,  17 Oct 2010 01:20:12 +0000

Available diffs

Superseded in natty-release on 2010-10-17
Obsolete in maverick-release on 2013-03-05
libnetaddr-ip-perl (4.028+dfsg-1) unstable; urgency=low

  [ Ryan Niebur ]
  * New upstream release
  * Add myself to Uploaders
  * Debian Policy 3.8.2
  * Update ryan52's email address

  [ Maximilian Gass ]
  * Add myself to uploaders
  * Simplify debian/rules
  * Bumped Standards-Version to 3.8.3 (removed version on perl
    build-dependency)

  [ Jonathan Yu ]
  * New upstream release (closes: #485050)
  * Standards-Version 3.8.4 (no changes)
  * Use new 3.0 (quilt) source format
  * Add myself to Uploaders and Copyright

  [ gregor herrmann ]
  * debian/copyright: update formatting and years of copyright.
  * Add a patch to fix a spelling mistake.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  25 May 2010 10:14:52 +0100
Superseded in maverick-release on 2010-05-25
Obsolete in lucid-release on 2016-10-26
libnetaddr-ip-perl (4.024+dfsg-1build1) lucid; urgency=low

  * rebuild rest of main for armel armv7/thumb2 optimization;
    UbuntuSpec:mobile-lucid-arm-gcc-v7-thumb2
 -- Alexander Sack <email address hidden>   Sat, 06 Mar 2010 13:35:37 +0100

Available diffs

Superseded in lucid-release on 2010-03-06
Obsolete in karmic-release on 2013-03-04
libnetaddr-ip-perl (4.024+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: add get-orig-source target.
  * debian/control: slightly improve short description.

Available diffs

Superseded in karmic-release on 2009-04-29
Obsolete in jaunty-release on 2013-02-28
libnetaddr-ip-perl (4.022+dfsg-1) unstable; urgency=low

  * New upstream release.

Available diffs

Superseded in jaunty-release on 2008-12-22
libnetaddr-ip-perl (4.011+dfsg-1) unstable; urgency=low

  [ gregor herrmann ]
  * Add debian/README.source to document quilt usage, as required by
    Debian Policy since 3.8.0.

  [ Gunnar Wolf ]
  * New upstream release
  * Standards-version -> 3.8.0
  * Changed the wording on debian/copyright so it complies with Debian's
    guidelines (i.e. explicit "Copyright" instead of (c))
  

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  04 Nov 2008 21:32:52 +0000

Available diffs

Superseded in jaunty-release on 2008-11-05
Obsolete in intrepid-release on 2013-02-20
Superseded in intrepid-release on 2008-09-17
libnetaddr-ip-perl (4.007+dfsg-2) unstable; urgency=low

  [ Joey Hess ]
  * Fix watch file to deal with mangled version number.

  [ gregor herrmann ]
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Removed: XS-
    Vcs-Svn fields.
  * debian/watch: use dist-based URL.
  * debian/rules: delete /usr/share/perl5 only if it exists.

  [ Damyan Ivanov ]
  * debian/repack.sh: added to ease stripping of docs/rfc1884.txt
  * debian/watch: use such mangling that thhe package version ends up with
    +dfsg
    + call debian/repack.sh on downloading upstream source
  * debian/rules:
    + move test suite from install to build target
    + use "$@" when touching stamps
    + clean stamps before realclean
    + make install target depend only on install-stamp and that - on
      build-stamp
    + drop unneeded calls to dh_installman and dh_link
  * debian/copyright:
    + use dist-based upstream URL
    + add years of copyright
  * Convert in-diff patches to quilt
    + use UTF-8-encoded chars instead of E<ntilde>
  * Standards-Version: 3.7.3 (no changes)
  * debhelper compatibility level 6
  * add myself to Uploaders

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  02 May 2008 02:15:56 +0100
Obsolete in feisty-backports on 2009-08-20
libnetaddr-ip-perl (4.007+dfsg-1~feisty1) feisty-backports; urgency=low

  * Automated backport upload; no source changes.

Superseded in intrepid-release on 2008-05-03
Obsolete in hardy-release on 2015-04-24
Obsolete in gutsy-release on 2011-09-16
libnetaddr-ip-perl (4.007+dfsg-1) unstable; urgency=low

  * Repackaged upstream sources without including the non-free RFC 1884
    (Closes: #431090)
  * Included README.Debian warning about requiring an API compatibility
    mode when using with legacy (<3.21) code (taken straight from
    Makefile.PL's output)

 -- Scott Kitterman <email address hidden>   Tue,  10 Jul 2007 17:04:11 +0100
Superseded in gutsy-release on 2007-07-10
libnetaddr-ip-perl (4.007-1) unstable; urgency=low

  [ Julian Mehnle ]
  * New upstream release (closes: #329644).
  * Architecture: any (was: all), as this package now includes XS code.
  * Standards-Version: 3.7.2
  * Build-Depends: libtest-pod-perl
  * Build-Depends: debhelper (was: Build-Depends-Indep:)
  * Raised debhelper compatibility level to 5, adjusted Build-Depends.
  * Updated debian/rules to latest dh-make-perl template.
  * Run tests during package building.
  * Generate perlapi and libc6 dependencies using dh_shlibdeps.
  * Conflicts: libnetaddr-ip-lite-perl, as NetAddr::IP::Lite is now included
    in this package.
  * Updated package description.
  * Updated debian/copyright with additional upstream author and new warranty
    statement.
  * Install all upstream README files and changelogs.
  * Added debian/{compat,watch} files.
  * Minor changes to NetAddr::IP{,::Lite} POD code to correctly represent the
    author names in the generated man-pages.

  [ Gunnar Wolf ]
  * Hijacking module on behalf of the Debian Pkg-perl group (previous
    maintainer MIA)

 -- Scott Kitterman <email address hidden>   Tue,  03 Jul 2007 09:24:33 +0100
Superseded in gutsy-release on 2007-07-03
libnetaddr-ip-perl (4.007-0ubuntu1) gutsy; urgency=low

  * New upstream release
    - Removed all $& and $` to increase performance
  * Changed maintainer to MOTU

 -- Scott Kitterman <email address hidden>   Wed, 13 Jun 2007 22:49:18 -0700
Superseded in gutsy-release on 2007-06-14
Obsolete in feisty-release on 2009-08-20
libnetaddr-ip-perl (4.004-0ubuntu1) feisty; urgency=low

  * Change version and distribution for Ubuntu/Feisty

 -- Scott Kitterman <email address hidden>   Fri, 5 Jan 2007 15:29:18 -0500
Superseded in feisty-release on 2007-01-06
Obsolete in edgy-release on 2008-06-19
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
Obsolete in breezy-release on 2008-03-25
Obsolete in hoary-release on 2008-03-19
Obsolete in warty-release on 2008-01-09
libnetaddr-ip-perl (3.14-2) unstable; urgency=low


  * Changed section to 'perl'

 -- Elie Rosenblum <email address hidden>  Tue, 26 Aug 2003 14:48:25 -0400
141 of 41 results